petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecPinToCPU

marks a vector to temporarily stay on the CPU and perform computations on the CPU

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecPinToCPU(Vec v,PetscBool flg)

### Input Parameters

| v | - the vector
| flg | - pin to the CPU if value of PETSC_TRUE

### Level

intermediate

### Location

src/vec/vec/interface/vector.c

### Implementations

VecPinToCPU_MPICUDA in src/vec/vec/impls/mpi/mpicuda/mpicuda.cu
VecPinToCPU_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda.c
VecPinToCPU_SeqAIJViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages